Results 1 to 8 of 8
  1. #1


    Member Since
    Feb 25, 2008
    Location
    Ireland
    Posts
    10
    Starcraft on Leopard?
    I'm new to Mac's, so I was surprised when I attempted to install Starcraft I got a message stating something along the lines of "Not available in Classic mode". Is there any way around this?

  2. #2


    Member Since
    Mar 04, 2008
    Posts
    477
    I found a couple Starcrafts, some for os X and some for os 9 and earlier. Check the requirements for where you got the game. If it's for classic os, which is what it sounds like, it won't work on Leopard. Tiger was the last os x that came with the classic environment.

  3. #3


    Member Since
    Feb 25, 2008
    Location
    Ireland
    Posts
    10
    I feared that.

    Thanks for the reply.

  4. #4

    louishen's Avatar
    Member Since
    Oct 22, 2007
    Location
    London
    Posts
    8,968
    Specs:
    Mac Mini Core i7 2012 | White 2009 MacBook 2 Ghz | 733 Mhz G4 Quicksilver

  5. #5

    clint1986's Avatar
    Member Since
    Mar 06, 2008
    Location
    Devon, United Kingdom
    Posts
    129
    Specs:
    17" eMac 1.42 GHz G4, Mac OS X 10.4 "Tiger"
    Yeah, at the link above, scroll down until you see the link to the native installer for Mac OS X. It can install an OS X version of Starcraft for you using the original CD for OS 9. It can also install Broodwars for you in the same fashion.

    I don't know how the installation will run under Leopard though. You still might need to patch the install afterwards but even then, no promises dude. :p

  6. #6

    Arekisu's Avatar
    Member Since
    May 10, 2007
    Location
    Colchester
    Posts
    128
    Specs:
    Macbook, 2GHtz, 2Gb RAM, 320Gb HDD. 16Gb iPT Jailbroken.
    I just installed Leopard, and the OS X installer works. The game also installs perfectly.

  7. #7


    Member Since
    Feb 25, 2008
    Location
    Ireland
    Posts
    10
    Quote Originally Posted by Arekisu View Post
    I just installed Leopard, and the OS X installer works. The game also installs perfectly.
    So you didn't get the message that I posted at the start of this thread?

  8. #8

    Arekisu's Avatar
    Member Since
    May 10, 2007
    Location
    Colchester
    Posts
    128
    Specs:
    Macbook, 2GHtz, 2Gb RAM, 320Gb HDD. 16Gb iPT Jailbroken.
    Quote Originally Posted by tyr-csard View Post
    So you didn't get the message that I posted at the start of this thread?
    Yes i did, did you see what louishen posted.

    Quote Originally Posted by louishen View Post
    It's the installer for OS X (what you need), it will allow the game to be installed on ANY version of OS X. Put the game disc in, then open the OS X installer. Install game.

    As i said, the OS X native installer works and allows Starcraft to be installed on Leopard.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. StarCraft trouble with Snow Leopard
    By SuperHangOn in forum OS X - Apps and Games
    Replies: 7
    Last Post: 04-30-2011, 12:39 PM
  2. Starcraft
    By Kaze'aze in forum OS X - Apps and Games
    Replies: 7
    Last Post: 04-01-2010, 11:04 PM
  3. can i play starcraft 1 on my imac 2.66 with mac os x snow leopard
    By seb1017 in forum OS X - Apps and Games
    Replies: 1
    Last Post: 10-10-2009, 07:58 PM
  4. Starcraft and Leopard?
    By logos22 in forum OS X - Apps and Games
    Replies: 10
    Last Post: 05-06-2008, 10:30 PM
  5. Starcraft anyone?
    By ogacon in forum Schweb's Lounge
    Replies: 4
    Last Post: 03-27-2008, 11:20 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •